Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 815044 (CVE-2012-0479) - CVE-2012-0479 Mozilla: Potential site identity spoofing when loading RSS and Atom feeds (MFSA 2012-33)
Summary: CVE-2012-0479 Mozilla: Potential site identity spoofing when loading RSS and ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0479
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 812268
TreeView+ depends on / blocked
 
Reported: 2012-04-22 07:29 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-24 12:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-24 21:04:02 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0515 0 normal SHIPPED_LIVE Critical: firefox security update 2012-04-24 23:55:38 UTC
Red Hat Product Errata RHSA-2012:0516 0 normal SHIPPED_LIVE Critical: thunderbird security update 2012-04-24 23:44:08 UTC

Description Huzaifa S. Sidhpurwala 2012-04-22 07:29:40 UTC
Security researcher Jeroen van der Gun reported that if RSS or Atom XML invalid content is loaded over HTTPS, the addressbar updates to display the new location of the loaded resource, including SSL indicators, while the main window still displays the previously loaded content. This allows for phishing attacks where a malicious page can spoof the identify of another seemingly secure site.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-33.html

Comment 1 Vincent Danen 2012-04-24 18:02:16 UTC
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.  Upstream acknowledges Jeroen van der Gun as the original reporter.

Comment 2 errata-xmlrpc 2012-04-24 19:46:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0516 https://rhn.redhat.com/errata/RHSA-2012-0516.html

Comment 3 errata-xmlrpc 2012-04-24 20:02:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0515 https://rhn.redhat.com/errata/RHSA-2012-0515.html


Note You need to log in before you can comment on or make changes to this bug.